Subject: bug#71877: closed (Re: bug#71877: Three spaces for error messages instead of one)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Jul 2024 17:46:02 +0000

Your bug report

#71877: Three spaces for error messages instead of one

which was filed against the libtool package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71877: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71877
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71877: Three spaces for error messages instead of one
From: Ileana Dumitrescu <[email-masked]>
To: Bruno Haible <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Mon, 1 Jul 2024 20:44:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Bruno,

On 01/07/2024 20:10, Bruno Haible wrote:
> Hi Ileana,
> 
>> Here is the relevant code in bootstrap:
>> ```
>> # func_error ARG...
>> # -----------------
>> # Echo program name prefixed message to standard error.
>> func_error ()
>> {
>>       $debug_cmd
>>
>>       $require_term_colors
>>
>>       func_echo_infix_1 "  $tc_standout${tc_red}error$tc_reset" "$*" >&2
>> }
> 
> This code doesn't exist in gnulib's 'bootstrap'.
> 
> Note that there are several variants/forks of 'bootstrap':
>    - The one created by Paul Eggert and maintained in gnulib.
>    - The one by Gary Vaughan https://github.com/gvvaughan/bootstrap
>    - A fork of that, by Gary Vaughan, Pavel Raiskup, Reuben Thomas
>      https://github.com/gnulib-modules/bootstrap
>      This is the one used by GNU libtool and GNU m4.
> 
> libtool's ltmain.sh includes this function. ltmain.sh is generated
> from ltmain.in, funclib.sh, and options-parser; the latter two come
> from https://github.com/gnulib-modules/bootstrap .
> 
> Bruno
> 

I am following Karl's advice to contact gnulib regarding this. Thank you
for the explanation. I know the bootstrap used by libtool is maintained
on Github. I referenced gnulib-modules/bootstrap [1] in the bug report,
but I should have added in the link for clarity.

I also assumed gnulib would be the correct place to contact for
understanding some design decisions with bootstrap, since it is under
the 'gnulib-modules' namespace. It seems this is wrong though. I will
close this here for now and ask about this issue on Github.

[1] https://github.com/gnulib-modules/bootstrap

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354

Subject: Three spaces for error messages instead of one
From: Ileana Dumitrescu <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 1 Jul 2024 18:39:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

It was reported [1] that error messages from a libtool invocation have
additional spaces after the package name before the error message. After
looking into this, it seems that gnulib-modules/bootstrap is the cause.

Here is an example:
libtool:   error: only absolute run-paths are allowed

Here is the relevant code in bootstrap:
```
# func_error ARG...
# -----------------
# Echo program name prefixed message to standard error.
func_error ()
{
     $debug_cmd

     $require_term_colors

     func_echo_infix_1 "  $tc_standout${tc_red}error$tc_reset" "$*" >&2
}

# func_fatal_error ARG...
# -----------------------
# Echo program name prefixed message to standard error, and exit.
func_fatal_error ()
{
     $debug_cmd

     func_error "$*"
     exit $EXIT_FAILURE
}
```

Is there a reason for the extra spacing, or could this be changed?

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71595

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354